function [ C ] = ADC2C( ADCvalue, Rfit, Cfit )
%ADC2C Convert the ADC value to a temperature
%   Given an ADCvalue, the temperature in C is 
%   given. Note: Rfit and Cfit must be provided,
%   they are vectors generated using a polynomial
%   fits of the temperature to resistance curves.
%
%	Author: Nicholas J. Conn
%   hardwarebreakout.com
    
    R = ADC2R(ADCvalue, 10);

	% Find the index of the resistance value that
	% matches closest to Rfit
    [~ i] = min(abs(Rfit-R));
	% Return corresponding temperature
    C = Cfit(i);
end

