function [ R ] = ADC2R( ADCValue, bits )
%ADC2R Returns the resistance for a given ADC value
%   For a given ADCvalue and number of ADC bits used,
%   the resistance is calculated. NOTE: The resistance
%   values used are hard coded.
%
%	Author: Nicholas J. Conn
%   hardwarebreakout.com

	% Reference resistance (R2)
    Rref = 4.68e3;
	% Parallel resistance (R3)
    Rpar = .992e3;
	% Gain on op-amp stage
    G = 1;%(1+2.18/.98);

	% Calculate Vadc/Vcc
    ratio = ADCValue./2^bits;
    
	% Req, as descripted in the blog post
    Req = Rref./(1./(ratio/G) - 1);
    
	% Calculate R thermistor and return
    R = 1./(1./Req-1/Rpar);
end
