function [ ADCValue ] = R2ADC( R, ADCbits )
%R2ADC Covert resistance measured and ADC bits to ADC value
%   Given a resistance and number of ADC bits,
%   the ADCvalue is calculated. 
%
%	Author: Nicholas J. Conn
%   hardwarebreakout.com

	%Hard coded values
    Rpar = .992e3;
    Rref = 4.68e3;
    G = 1;

    Req = 1./(1./R+1/Rpar);
    
    ratio = Req./(Req+Rref);
    ADCValue = G*ratio*(2^ADCbits);
end

